<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');

	if ($_POST["hirlevel_html_szoveg"] == "" || szovegfeldolgoz($_POST["hirlevel_text_szoveg"]) == "") {
		$hibasor["szoveg"] = "Üres tartalommal hírlevelet nem lehet kiküldeni!" ;
		$hibasor["tipus"] = "error" ;
		$hiba[] = $hibasor ;				
		$_SESSION["hiba"] = $hiba ;
		header("Location: newsletter-create.php") ;
		exit ;			
	}
	
	$_SESSION["adatok"]["celcsoport"] = $_POST["celcsoport"] ;
	$_SESSION["adatok"]["targy"] = szovegfeldolgoz($_POST["targy"]) ;
	$_SESSION["adatok"]["hirlevel_html_fejlec"] = stripslashes($_POST["hirlevel_html_fejlec"]) ;
	$_SESSION["adatok"]["hirlevel_text_fejlec"] = szovegfeldolgoz($_POST["hirlevel_text_fejlec"]) ;
	$_SESSION["adatok"]["hirlevel_html_szoveg"] = stripslashes($_POST["hirlevel_html_szoveg"]) ;
	$_SESSION["adatok"]["hirlevel_text_szoveg"] = szovegfeldolgoz($_POST["hirlevel_text_szoveg"]) ;
	$_SESSION["adatok"]["hirlevel_html_lablec"] = stripslashes($_POST["hirlevel_html_lablec"]) ;
	$_SESSION["adatok"]["hirlevel_text_lablec"] = szovegfeldolgoz($_POST["hirlevel_text_lablec"]) ;
	$hirlevel_text_szoveg_kesz = nl2br(szovegfeldolgoz($_POST["hirlevel_text_fejlec"]).'
	'.szovegfeldolgoz($_POST["hirlevel_text_szoveg"]).'
	'.szovegfeldolgoz($_POST["hirlevel_text_lablec"])) ;
	$_SESSION["adatok"]["hirlevel_text_szoveg_kesz"] = $hirlevel_text_szoveg_kesz ;
	$hirlevel_html_szoveg_kesz = '<div class="hirlevel_fejlec">' . $_SESSION["adatok"]["hirlevel_html_fejlec"] . '</div><div class="hirlevel_tartalom">' . $_SESSION["adatok"]["hirlevel_html_szoveg"] . '</div><div class="hirlevel_lablec">' . $_SESSION["adatok"]["hirlevel_html_lablec"] . '</div>'  ;
	$hirlevel_html_szoveg_kesz = str_replace("../useruploads/images/", ABS_PATH."useruploads/images/", $hirlevel_html_szoveg_kesz) ;
	$hirlevel_html_szoveg_kesz = str_replace("../useruploads/files/", ABS_PATH."useruploads/files/", $hirlevel_html_szoveg_kesz) ;
	$hirlevel_html_szoveg_kesz = str_replace("../useruploads/media/", ABS_PATH."useruploads/media/", $hirlevel_html_szoveg_kesz) ;
	$hirlevel_html_szoveg_kesz = stripslashes($hirlevel_html_szoveg_kesz) ;
	$hirlevel_html_szoveg_kesz = str_replace("../", ABS_PATH, $hirlevel_html_szoveg_kesz) ;
	$_SESSION["adatok"]["hirlevel_html_szoveg_kesz"] = $hirlevel_html_szoveg_kesz ;
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Hírlevél előnézet</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">


    
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Hírlevél előnézet</h1>

          </div>
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>		
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

<form action="formok/newsletter-send.php" method="post" name="hirlevel_kuld" id="hirlevel_kuld">            
              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group">
                
                <label>Hírlevél tárgya:</label>
                <?php echo $_SESSION["adatok"]["targy"];?>
                
              </div>
                </div>
              </div>      
              
              <div class="row">
              	<div class="col-lg-12">
                <div class="form-group">
                
                <label>HTML verzió:</label><br />
                <?php echo $hirlevel_html_szoveg_kesz;?>
                
              </div>
                </div>
              </div>          
              
              <div class="row">
              	<div class="col-lg-12">
                <div class="form-group">
                
                <label>Szöveges verzió:</label><br />
                <?php echo $hirlevel_text_szoveg_kesz;?>
                
              </div>
                </div>
              </div>                           

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Kiküldés indítása</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript:history.back();">
              	<span class="glyphicon glyphicon-remove-sign">Vissza</span> 
              </button>            
</form>              
          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>

	<script language="javascript">
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;
		
		function folytatas(id)
		{
			if (confirm("Biztosan folytatja a küldést?"))
		  {
				 document.location.href="formok/newsletter-send-continue.php?id="+id;
		  }
		}
    </script>


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

